package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 设备流量卡充值表
 * </p>
 *
 * @author lijin
 * @since 2023-10-16
 */
public class DeviceSimChargeDto {

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "订单id")
        private String orderId;

        @ApiModelProperty(value = "流量卡id")
        private String simId;

        @ApiModelProperty(value = "商户id")
        private Long mercId;

        @ApiModelProperty(value = "金额")
        private Integer money;

        @ApiModelProperty(value = "数量")
        private Integer size;

        @ApiModelProperty(value = "支付方式")
        private Integer payType;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "备注")
        private String note;

        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;


    }

}
